var jsonResponse;
	// Here we can adjust defaults for all color pickers on page:
	jscolor.presets.default = {
		palette: [
			'#000000', '#7d7d7d', '#870014', '#ec1c23', '#ff7e26', '#fef100', '#22b14b', '#00a1e7', '#3f47cc', '#a349a4',
			'#ffffff', '#c3c3c3', '#b87957', '#feaec9', '#ffc80d', '#eee3af', '#b5e61d', '#99d9ea', '#7092be', '#c8bfe7',
		],
		//paletteCols: 12,
		hideOnPaletteClick: true,
		//width: 271,
		//height: 151,
		//position: 'right',
		//previewPosition: 'right',
		backgroundColor: 'rgba(51,51,51,1)', controlBorderColor: 'rgba(153,153,153,1)', buttonColor: 'rgba(240,240,240,1)',
	}
	setTimeout(function() {
			LoadCurrent();
		}, 500);	
	
	function LoadCurrent(){
		console.log("Load Current");
		$.getJSON("data.json", function(json) {
		jsonResponse = json;
		console.log('your local JSON =', JSON.stringify(json, null, 4));
		
		console.log(jsonResponse["messages"].length);		
			
		/*
		var curr = document.querySelector('#current');		
		curr.innerHTML = '<h3>The currently live message: </h3>' + json.messages[0].message + "<br /> <br />Font: " + json.messages[0].font + "<br />Color: " + json.messages[0].color + "<br />Duration: " + json.messages[0].speed + " seconds";
		$("#current").css("font-family", json.messages[0].font);
		$("#current").css("color", json.messages[0].color);
		*/
	});		
	
		
	}
	
	function submitForm(event) {
		console.log(event.target.elements.message.value);
		console.log(event.target.elements.font.value);
		console.log(event.target.elements.color.value);	
		console.log(event.target.elements.speed.value);
		/*
		if(jsonResponse["messages"].length > 3){
			//if we have more than 3 entries, remove those greater than 3
			var count = jsonResponse["messages"].length - 3;
			for(var i= 0;i<count;i++){
				//Remove entry from json messages
				jsonResponse["messages"].pop().message;	
			}			
		}*/
		if(jsonResponse["messages"].length > 3){
			jsonResponse["messages"].pop().message;	
		}
		jsonResponse["messages"].unshift({ message: event.target.elements.message.value, color:event.target.elements.color.value, font: event.target.elements.font.value, "speed": event.target.elements.speed.value});
		SaveOnServer();
	}
	//Prepend a message at beginning of JSON
	function SetNewCurrentMessage(){
		//jsonResponse["messages"].unshift({ message: "Updated to a newer message super new message", color:"#2596be", font: 1, "speed": 8});
		console.log(JSON.stringify(jsonResponse, null, 4));
		//Save Changes to File on Server
		SaveOnServer();		
		/*setTimeout(function() {
			SaveOnServer();
		}, 500);	*/		
	}
	//Save to File
	function SaveOnServer(){
		var postData = JSON.stringify(jsonResponse, null, 4);
        $.ajax({
            type: "post",
            url: "save.php",
            data: postData,
            contentType: "application/json; charset=utf-8",
            success: function(responseData, textStatus, jqXHR) {
			var resp = JSON.stringify(responseData, null, 4);
                alert("data saved " + resp);
            },
            error: function(jqXHR, textStatus, errorThrown) {
                console.log("Error: "+ errorThrown);
            }
        });	
	}